SystemOrganization addCategory: #'SleepyCoders-WalkieTalkie'!

Object subclass: #WalkieTalkie
	instanceVariableNames: 'session'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SleepyCoders-WalkieTalkie'!

!WalkieTalkie methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 4/16/2012 02:05'!
initializeAsListenerOnIP: ip port: port
	[
		|socket|
		socket := Socket newTCP.
 		(session = nil)whileTrue:
		[
			socket listenOn: port backlogSize: 50 interface: ip.
      		session := socket waitForAcceptFor: 60.
			Processor yield.
		]
	] fork.! !

!WalkieTalkie methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 4/16/2012 01:54'!
initializeAsTalkerToHost:host port: port
	session := Socket newTCP.
  	session connectToHostNamed: host port: port.! !

!WalkieTalkie methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 4/16/2012 02:27'!
paired
"returns true if walkie is paird with another one. ei session ivar is set up"

	^(session=nil) not! !

!WalkieTalkie methodsFor: 'as yet unclassified' stamp: 'YuriyTymchuk 4/16/2012 02:26'!
unread
"Returns true if walkie has unread data"

	^session dataAvailable.! !
